Skip to main content
Compute Management/VM Related Interfaces
PUTVM Related InterfacesSince 3.7.0SynchronousAuth Required

Set VM Sound Card Type

Set VM Sound Card Type

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Virtual Machine UUID

Body Fields

  • setvmsoundtypeObjectRequired

    setvmsoundtype request body object.

    • soundTypeStringRequired

      Virtual sound card type, default is ich6

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/vm-instances/{uuid}/actions

/zstack/v1/vm-instances/{uuid}/actions

Operation ID

SetVmSoundType

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setvmsoundtype":{"soundType":"<soundType>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history